Bug 1807659 - openshift-cloud-credential-operator: Some core components are in openshift.io/run-level 1 and are bypassing SCC, but should not be
Summary: openshift-cloud-credential-operator: Some core components are in openshift.io...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.z
Assignee: Joel Diaz
QA Contact: wang lin
URL:
Whiteboard:
Depends On: 1806892
Blocks: 1805488
TreeView+ depends on / blocked
 
Reported: 2020-02-26 20:59 UTC by Scott Dodson
Modified: 2020-05-26 16:50 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Stop bypassing SCC for cloud-credential-operator. Reason: Running with excess permissions that are not needed for cloud-credential-operator to perform its tasks. Result: No unnecessary bypassing of SCC for cloud-credential-operator.
Clone Of: 1806892
Environment:
Last Closed: 2020-05-26 16:50:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 189 None closed Bug 1807659: no need to run CCO as privileged pod 2020-07-16 12:06:03 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:53 UTC

Comment 4 wang lin 2020-05-18 02:08:20 UTC
The bug has fixed, openshift-cloud-credential-operator removed openshift.io/run-level 1.
The verified payload is registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-05-17-211342

Verifying steps
1.oc adm release extract registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-05-17-211342
2.grep -r "openshift.io/run-level"
openshift-cloud-credential-operator is not in openshift.io/run-level 1.

Comment 6 errata-xmlrpc 2020-05-26 16:50:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.